GNU bug report logs - #10389
24.0.92; Emacs window needs resizing after Mac OS X monitor change

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Donald Tillman <don@HIDDEN>; merged with #10920; dated Wed, 28 Dec 2011 09:00:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 10389 10920. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 10389 <at> debbugs.gnu.org:


Received: (at 10389) by debbugs.gnu.org; 29 Dec 2011 06:09:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 29 01:09:43 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Rg9BP-0005fH-11
	for submit <at> debbugs.gnu.org; Thu, 29 Dec 2011 01:09:43 -0500
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <mituharu@HIDDEN>) id 1Rg9BL-0005f4-0I
	for 10389 <at> debbugs.gnu.org; Thu, 29 Dec 2011 01:09:41 -0500
Received: from church.math.s.chiba-u.ac.jp (church [133.82.132.36])
	by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id CD16CC055D;
	Thu, 29 Dec 2011 15:06:46 +0900 (JST)
Date: Thu, 29 Dec 2011 15:06:46 +0900
Message-ID: <wl1urnap3d.wl%mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: Jan =?ISO-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#10389: 24.0.92;
	Emacs window needs resizing after Mac OS X monitor change
In-Reply-To: <3B957E8A-D4D1-4E3A-9FD8-6F680C690C52@HIDDEN>
References: <F11A7850-00E5-45B7-8050-ECF9BFDCA20B@HIDDEN>
	<3B957E8A-D4D1-4E3A-9FD8-6F680C690C52@HIDDEN>
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8
	(=?ISO-8859-4?Q?Shij=F2?=) APEL/10.6 Emacs/22.3 (sparc-sun-solaris2.8)
	MULE/5.0 (SAKAKI)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 10389
Cc: 10389 <at> debbugs.gnu.org, Donald Tillman <don@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

>>>>> On Wed, 28 Dec 2011 11:29:47 +0100, Jan Dj=E4rv <jan.h.d@HIDDEN> =
said:

> Hello.  28 dec 2011 kl. 07:01 skrev Donald Tillman:

>> Hi,
>>=20
>> On Mac OS X, 10.6.8; I'm using a 15 inch MacBook Pro and a Cinema
>> Display monitor.  I've got the Emacs window some reasonable size
>> for the monitor.  Then, when I remove the monitor, so there's only
>> the MacBook screen, the Emacs window is stuck sized too large, with
>> parts of the window off screen.  If the upper left green button and
>> the lower right diagonal corner are off screen, I can't resize the
>> window.  And if the top of the window is off screen I can't move
>> the window.
>>=20
>> There's an easy enough workaround, fanblade-N to create a new
>> window, but I didn't know that the first time this happened.

> This happens also on any X port of Emacs, switching resolution does
> not make Emacs adjust its frames.  In some cases the window manager
> might adjust Emacs size, but Emacs itself does nothing.  Don't know
> what happens on w32.  AFAIK, it has been like this forever.

> Do we want a change in Emacs here?

The Mac port (*) is supposed to do some adjustment like other Cocoa
applications, so at least the upper left buttons become visible.
Frame size adjustment on resolution change is also done for the case
of fullscreen, which can be turned on/off by Shift + Pinch-open/close
on a trackpad.  The OP might possibly want to try that port to see if
he likes this behavior of size adjustment.

(*): http://lists.gnu.org/archive/html/emacs-devel/2011-11/msg00473.html

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10389; Package emacs. Full text available.

Message received at 10389 <at> debbugs.gnu.org:


Received: (at 10389) by debbugs.gnu.org; 28 Dec 2011 10:32:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 28 05:32:36 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RfqoG-0007bI-7x
	for submit <at> debbugs.gnu.org; Wed, 28 Dec 2011 05:32:36 -0500
Received: from mailout.melmac.se ([62.20.26.67])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jan.h.d@HIDDEN>) id 1RfqoD-0007b9-Eq
	for 10389 <at> debbugs.gnu.org; Wed, 28 Dec 2011 05:32:34 -0500
Received: from mail01.melmac.se (mail01.melmac.se [62.20.26.80])
	by mailout.melmac.se (Postfix) with ESMTP id 2826A97A1
	for <10389 <at> debbugs.gnu.org>; Wed, 28 Dec 2011 11:29:48 +0100 (CET)
Received: (qmail 16946 invoked by uid 89); 28 Dec 2011 10:28:56 -0000
Received: from h-46-59-42-18.na.cust.bahnhof.se (HELO coolsville.localdomain)
	(boel.djarv@HIDDEN@46.59.42.18)
	by mail01.melmac.se with ESMTPA; 28 Dec 2011 10:28:56 -0000
Received: from [172.20.199.13] (zeplin [172.20.199.13])
	by coolsville.localdomain (Postfix) with ESMTPSA id AE60B7FA058;
	Wed, 28 Dec 2011 11:29:47 +0100 (CET)
Subject: Re: bug#10389: 24.0.92;
	Emacs window needs resizing after Mac OS X monitor change
Mime-Version: 1.0 (Apple Message framework v1251.1)
Content-Type: text/plain; charset=us-ascii
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <F11A7850-00E5-45B7-8050-ECF9BFDCA20B@HIDDEN>
Date: Wed, 28 Dec 2011 11:29:47 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <3B957E8A-D4D1-4E3A-9FD8-6F680C690C52@HIDDEN>
References: <F11A7850-00E5-45B7-8050-ECF9BFDCA20B@HIDDEN>
To: Donald Tillman <don@HIDDEN>
X-Mailer: Apple Mail (2.1251.1)
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10389
Cc: 10389 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Hello.

28 dec 2011 kl. 07:01 skrev Donald Tillman:

> Hi,
>=20
> On Mac OS X, 10.6.8; I'm using a 15 inch MacBook Pro and a Cinema =
Display monitor.  I've got the Emacs window some reasonable size for the =
monitor.  Then, when I remove the monitor, so there's only the MacBook =
screen, the Emacs window is stuck sized too large, with parts of the =
window off screen.  If the upper left green button and the lower right =
diagonal corner are off screen, I can't resize the window.  And if the =
top of the window is off screen I can't move the window.
>=20
> There's an easy enough workaround, fanblade-N to create a new window, =
but I didn't know that the first time this happened.

This happens also on any X port of Emacs, switching resolution does not =
make Emacs adjust its frames.  In some cases the window manager might =
adjust Emacs size, but Emacs itself does nothing.   Don't know what =
happens on w32.  AFAIK, it has been like this forever.

Do we want a change in Emacs here?

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10389; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Dec 2011 08:59:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 28 03:59:58 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RfpMb-0005Rz-EN
	for submit <at> debbugs.gnu.org; Wed, 28 Dec 2011 03:59:58 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <don@HIDDEN>) id 1Rfmcp-0001WA-6T
	for submit <at> debbugs.gnu.org; Wed, 28 Dec 2011 01:04:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <don@HIDDEN>) id 1RfmaB-0001ft-BW
	for submit <at> debbugs.gnu.org; Wed, 28 Dec 2011 01:01:48 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_NONE
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:52636)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <don@HIDDEN>)
	id 1RfmaB-0001fp-A6
	for submit <at> debbugs.gnu.org; Wed, 28 Dec 2011 01:01:47 -0500
Received: from eggs.gnu.org ([140.186.70.92]:52529)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <don@HIDDEN>) id 1RfmaA-00043J-2m
	for bug-gnu-emacs@HIDDEN; Wed, 28 Dec 2011 01:01:47 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <don@HIDDEN>) id 1Rfma8-0001fX-Gh
	for bug-gnu-emacs@HIDDEN; Wed, 28 Dec 2011 01:01:46 -0500
Received: from b.mail.sonic.net ([64.142.19.5]:47658)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <don@HIDDEN>)
	id 1Rfma8-0001f5-6T
	for bug-gnu-emacs@HIDDEN; Wed, 28 Dec 2011 01:01:44 -0500
Received: from [10.0.1.8] (209-204-152-63.dsl.static.sonic.net
	[209.204.152.63]) (authenticated bits=0)
	by b.mail.sonic.net (8.13.8.Beta0-Sonic/8.13.7) with ESMTP id
	pBS61b4j008528
	(version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=NO)
	for <bug-gnu-emacs@HIDDEN>; Tue, 27 Dec 2011 22:01:37 -0800
From: Donald Tillman <don@HIDDEN>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Subject: 24.0.92; Emacs window needs resizing after Mac OS X monitor change
Date: Tue, 27 Dec 2011 22:01:37 -0800
Message-Id: <F11A7850-00E5-45B7-8050-ECF9BFDCA20B@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Mime-Version: 1.0 (Apple Message framework v1084)
X-Mailer: Apple Mail (2.1084)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4-2.6
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 28 Dec 2011 03:59:55 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

Hi,
=20
On Mac OS X, 10.6.8; I'm using a 15 inch MacBook Pro and a Cinema =
Display monitor.  I've got the Emacs window some reasonable size for the =
monitor.  Then, when I remove the monitor, so there's only the MacBook =
screen, the Emacs window is stuck sized too large, with parts of the =
window off screen.  If the upper left green button and the lower right =
diagonal corner are off screen, I can't resize the window.  And if the =
top of the window is off screen I can't move the window.

There's an easy enough workaround, fanblade-N to create a new window, =
but I didn't know that the first time this happened.

  -- Don

--
Don Tillman
Palo Alto, California
don@HIDDEN
http://www.till.com

In GNU Emacs 24.0.92.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
 of 2011-12-02 on bob.porkrind.org
Windowing system distributor `Apple', version 10.3.1038
configured using `configure  '--host=3Dx86_64-apple-darwin' =
'--build=3Di686-apple-darwin' '--with-ns' =
'build_alias=3Di686-apple-darwin' 'host_alias=3Dx86_64-apple-darwin' =
'CC=3Dgcc -mmacosx-version-min=3D10.5''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o r t SPC b SPC <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr message format-spec rfc822 mml easymenu
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader warnings emacsbug rainbow-mode-autoloads
svg-clock-autoloads package tabulated-list rmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils time-date tooltip ediff-hook
vc-hooks lisp-float-type mwheel ns-win tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process ns multi-tty
emacs)





Acknowledgement sent to Donald Tillman <don@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#10389; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 24 May 2016 19:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.